MozillaZine

RFC: Extension Developer Extension

Talk about add-ons and extension development.
doulostheou
 
Posts: 6
Joined: February 2nd, 2006, 10:32 am
Location: Saint Louis, MO

Post Posted February 7th, 2006, 7:55 am

I wanted to try this, but I noticed it is not compatible with version 1.5. Any chance of an upgrade? Thanks.

Ted Mielczarek
 
Posts: 1269
Joined: November 5th, 2002, 7:32 am
Location: PA

Post Posted February 7th, 2006, 8:28 am

doulostheou wrote:I wanted to try this, but I noticed it is not compatible with version 1.5. Any chance of an upgrade? Thanks.


It works in 1.5, just a lot of the features could use an overhaul.

doulostheou
 
Posts: 6
Joined: February 2nd, 2006, 10:32 am
Location: Saint Louis, MO

Post Posted February 8th, 2006, 10:12 am

I actually got an error message when I tried to install it, saying that it was not compatible. I'll probably just hold off for awhile. I am eager to dig in and learn how to create/manipulate extensions, but I don't know where to start. Do you know where I can find a good, easy to follow tutorial on creating extensions. I want to do things like cycling through e-mail in my inbox, saving content from the e-mail and attachments to the appropriate location on our network drive based off of given criteria, etc.

Ted Mielczarek
 
Posts: 1269
Joined: November 5th, 2002, 7:32 am
Location: PA

Post Posted February 9th, 2006, 2:20 pm

That's odd. It should work fine. You might need to be online to install it though, the xpi might not have the right maxVersion, although the remote update.rdf should.

A good place to start with extension development would be: http://kb.mozillazine.org/Extension_development

HappyFunBall

User avatar
 
Posts: 42
Joined: April 29th, 2005, 6:12 am

Post Posted February 20th, 2006, 6:27 am

"No suitable Zip program found" is the error message in 1.5.0.1

So I have to use 1.0.7 to build my extensions with the E-D-Extension :(


It looks like EDE is using WinRAR on 1.0.7, but I have all manner of zip programs installed on my XP system...

BobBresil

User avatar
 
Posts: 10
Joined: March 19th, 2006, 7:15 pm

Post Posted March 19th, 2006, 7:25 pm

Extension very cool!
I have the same trouble than HappyFunBall.
I use FF 1.5.0.1, 7-Zip 4.32 and xp.
Drink Guarana!
My extension|RI4M

Laurence
 
Posts: 122
Joined: January 16th, 2004, 5:55 am

Post Posted April 6th, 2006, 6:02 am

Hi Ted,

Are you still further developing your Extension Developer's Extension? I ask because I have just very recently begun the descent/ascent (!) into creating an extension (for SeaMonkey). And any and all help such as your extension is appreciated. Please don't forget us new guys in it's development: the easier it is to do some of the initial and necessary extension work, the more people might actually get into it; and who knows what useful extensions might come about. :-)

I am hoping that you do not forsake SeaMonkey in your extension's development. (As we know, not everyone is using Firefox, etc. - different users, different preferences.)

Any new ideas on the table, and in progress for Extension Developer's Extension?

Laurence

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted April 6th, 2006, 8:52 am

Laurence wrote:I have just very recently begun the descent/ascent (!) into creating an extension (for SeaMonkey).
Hijacking this thread for a moment. I'm writing xSidebar, a Seamonkey only extension. If you have any questions specific Seamonkey questions, I'll be happy to (try to) answer them.

Phil

Ted Mielczarek
 
Posts: 1269
Joined: November 5th, 2002, 7:32 am
Location: PA

Post Posted April 6th, 2006, 12:31 pm

My development time and motivation have both waned, so I haven't done anything recently. I have a lot of ideas, but I don't know when I'll get to them.

I don't use Seamonkey, so I don't tend to put any effort into supporting it. If it moves to a toolkit/XULRunner base, life would be much easier.

Also, for anyone that didn't see it before, my newest tool for extension development: http://ted.mielczarek.org/code/mozilla/extensionwiz/

Chris Rose
 
Posts: 9
Joined: April 13th, 2006, 8:31 am

Post Posted April 13th, 2006, 8:36 am

Hello Ted and all,

So I am using FF 1.5.0.1 and having the same "No suitable zip program found" issue, with the extension builder, although I have both WinZip and 7-Zip installed. Has anyone found a fix for this? I'd be happy not to have to drop back to a much older version, in order to used the developer (and honestly, I'm not versed enough to quickly debug this myself.) Please let me know if there is a simple fix or workaround -
extension development (newbie)

Superbiskit
 
Posts: 29
Joined: June 11th, 2003, 6:27 am
Location: West Warwick, RI

Post Posted May 15th, 2006, 5:15 pm

I suppose the postings above tell me the answer to this, but is there any chance of seeing this working in Minefield 3.0a1?

jacomac
 
Posts: 1
Joined: May 18th, 2006, 1:44 am

Post Posted May 18th, 2006, 1:58 am

Ted Mielczarek wrote:That's odd. It should work fine. You might need to be online to install it though, the xpi might not have the right maxVersion, although the remote update.rdf should.

A good place to start with extension development would be: http://kb.mozillazine.org/Extension_development


I did it exactly this way and I didn't have this zip problem mentioned before. But what definitely does not work anymore is the "JS Environment". it used to work with 1.0.x versions of FF. I also tried the original JS environment you mentioned right at the start at this forum a couple of years ago, at http://www.squarefree.com/jsenv/ and that surprisingly (still) worked. Probably a minor error in the current xpi, so maybe you can fix it, even if with your currently low motivation. Thanks!

Meanwhile of course, it is probably useful to substitue that with http://www.squarefree.com/jsenv/ or a local copy of it...

Anyway, thanks for providing this packaged extension developer environment to the community. I have found it quite handy so far.

Ted Mielczarek
 
Posts: 1269
Joined: November 5th, 2002, 7:32 am
Location: PA

Post Posted June 12th, 2006, 5:29 am

Oh yes, the JS Env has been broken for some time. Jesse and I found the problem in my version, but I never got around to updating extensiondev. Oops! I may not get around to updating it in the next two months, as I'm on sort of an extended vacation.

Philip Chee

User avatar
 
Posts: 6475
Joined: March 1st, 2005, 3:03 pm

Post Posted June 12th, 2006, 7:23 am

Ted Mielczarek wrote:Oh yes, the JS Env has been broken for some time. Jesse and I found the problem in my version, but I never got around to updating extensiondev. Oops! I may not get around to updating it in the next two months, as I'm on sort of an extended vacation.
Post the mods needed or email them to me and I'll put a fixed version up on my xSidebar/mods webpage.

Phil

Ted Mielczarek
 
Posts: 1269
Joined: November 5th, 2002, 7:32 am
Location: PA

Post Posted July 26th, 2006, 7:23 am

Ok, so I found some time and I am working on updating extensiondev to be more useful for the present. My main goal is to get the extension builder to a state where it can replace asqueella's build.sh script that I currently use, and consequently build extensions from the extension wizard out of the box.

Anyone have any requests or comments or annoyances with the current extensiondev that they'd like to see added/changed/fixed in a new version? I've alread fixed jsenv/htmledit, so don't worry about those. :)

I'll post a new build soon (hopefully tomorrow) with a few fixes.

-Ted

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 0 guests